
QGIS Application - Bug report #772

broken scale dialog

2007-09-30 04:07 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: Gavin Macaulay -

Category:

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10831

Description

The scale dialog in print composer is broken in 0.9 SVN 7233, built and running against QT 4.3.1. See the attached screendump. Same in

QGIS 0.8.1.

History

#1 - 2007-11-06 12:22 AM - Gavin Macaulay -

- Status changed from Open to Closed

- Resolution set to fixed

Fixed in svn commit:2b75117c (SVN r7336) (replaced a Q3 widget by the Qt4 version)

#2 - 2007-11-10 10:23 AM - Steven Bell -

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

commit:2b75117c (SVN r7336) doesn't completely fix the problem.  Instead of overlapping other widgets, the scale input box just gets smashed.  See the

second attached image.

#3 - 2007-11-10 10:30 AM - Steven Bell -

I also just noticed that the frame checkbox gets squeezed before the spacer does, which means that it is usually not displayed.

#4 - 2007-11-10 11:01 AM - Gavin Macaulay -

If you make the composer window taller, the widgets will all appear correctly (not that this fixes the underlying problem :).

#5 - 2007-11-11 12:56 AM - Maciej Sieczka -

Replying to [comment:4 g_j_m]:

If you make the composer window taller, the widgets will all appear correctly (not that this fixes the underlying problem :).
On displays 1024x768 and smaller you can't even even make the window big enough for the scale to be visible.

#6 - 2007-11-17 04:23 PM - Gavin Macaulay -

I have attached an image (new.png) that illustrates a possible solution to the problem of the map composer details pane being too tall (cf to old.png). If this

is acceptable to us, it's probably best to make the same change to all the panes in the map composer. Comments?

#7 - 2007-11-17 04:44 PM - Steven Bell -

Looks good to me.  It is probably a good thing to do to some or all of the other composer option panes as well.

#8 - 2007-11-17 06:01 PM - Gavin Macaulay -

- Status changed from Feedback to Open

#9 - 2007-11-17 06:03 PM - Gavin Macaulay -

- Status changed from Open to In Progress

#10 - 2007-11-18 12:31 AM - Gavin Macaulay -

- Status changed from In Progress to Closed

- Resolution set to fixed

Fixed in svn commit:f4a505d5 (SVN r7452).

Also tidied up other map composer detail panes to use less vertical space.

#11 - 2009-08-22 12:52 AM - Anonymous

Milestone Version 0.9.1 deleted
